Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Attribute table

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23384

Description

Apparently, the "Organize table columns" dialogue can easily get "out-of-sync" with the actual visibility of the table columns.

Steps to reproduce:

1. set one column to hidden

2. close the attribute table

3. Open the attribute table

4. Open the "Organize table columns" dialogue by right-clicking on a column header

5. Set the column to visible

6. Close the "Organize table coluns" dialogue

7. Open the "Organize table columns" dialogue --> the visibility checkbox is "out of sync". Shows the the column "Addresse Anlage" as

hidden, while it is actually visible in the attribute column

Maybe it matters: the first column is an "Action widget column".

See attached screenshot

Associated revisions

Revision 1856a37a - 2016-09-20 04:06 PM - Matthias Kuhn 

Hide proper column in attribute table

Fix #15458

Revision 6f513d1c - 2016-09-20 04:07 PM - Matthias Kuhn 

Hide proper column in attribute table

Fix #15458

History

#1 - 2016-08-18 02:53 AM - Andreas Neumann

- File qgis_attribute_table_organize_columns_dialog_out-of-sync.png added

adding screenshot
#2 - 2016-09-20 07:11 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"6f513d1cf89e54e5b4cd6f4183703876e2d59bad".

Files

qgis_attribute_table_organize_columns_dialog_out-of-sync.png 755 KB 2016-08-18 Andreas Neumann

2025-04-27 2/2


